/*
 * $Id: types.h 347264 2009-11-19 13:44:32Z kdickman $
 *
 * types.h -- shim header for g++ support
 *
 * Stu Grossman, March 2007
 *
 * Copyright (c) 2007, Juniper Networks, Inc.
 * All rights reserved.
 */

/*
 * Here's a couple of Posix OS types which aren't otherwise defined in defs.h.
 */

#ifndef __LIBSTDCXX_EMBEDDED_SYS_TYPES_H__
#define __LIBSTDCXX_EMBEDDED_SYS_TYPES_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <defs.h>

typedef unsigned short mode_t;
typedef long off_t;

#ifdef __cplusplus
}
#endif

#endif /* __LIBSTDCXX_EMBEDDED_SYS_TYPES_H__ */
